ChiliProject - Feature # 168: [PATCH] RSS autodiscovery for wiki pages

Status: Closed Priority: Normal
Author: Yuki Sonoda Category: Wikis
Created: 2011-02-10 Assignee:

Updated: 2011-02-27 Due date:

Remote issue URL: http://www.redmine.org/issues/7574
Affected version:
Description: This is a carboy copy of http://www.redmine.org/issues/7574. @timfelgentreff asked me to cc.

Many wiki systems provide a link element for RSS autodiscovery in each wiki page. It is useful for those who
want to track changes in wiki pages.

Redmine has an ability to provide such a RSS, however, Redmine's wiki pages don't have such link
elements. The attached patch adds the link element in each wiki page. | have used this patch for
redmine.ruby-lang.org and | hope you to merge the patch.

Associated revisions

2011-02-11 09:01 am - Felix SchAxfer
Add an RSS autodiscovery tag to wiki pages. #168

Contributed by Yuki Sonoda.

2011-02-11 09:21 am - Felix SchAxnfer
Fix Atom links on the wiki show page. #168

This fixes the autodiscovery link provided in the precedent commit and adds the link to the "other formats" section.

History

2011-02-10 09:02 am - Felix Schéfer

| haven't looked if the patch applies cleanly, but it seems sound in principle. I'll wait to hear any naysayers and will merge it later.

2011-02-10 11:51 pm - Eric Davis

This should also update the footer on the wiki to give a link to the Atom feed:

<pre>
Also available in: ATOM | HTML | TXT

</pre>

2011-02-11 08:35 am - Felix Schafer

I'm preparing the pull request, | need this note to be able to link to it though :-)

| have merged and corrected the patch in a "branch":https:/github.com/thegcat/chiliproject/tree/f%2F168-rss_autodiscovery_for_wiki_pages and
corrected additional but mostly unrelated Atom feed links. 2 things though:

* The links could be misleading as they link to the activity for the whole wiki, not just the page they are shown on. I'm OK with adding them for now and
making a note to add atom feeds to single wiki pages later.

* Is it OK to keep the fixes to the atom links on the index and date_index page bundled with those, should | commit it separately directly to master,
should | open a new bug even though it's only a small fixa€|?

2011-02-11 08:36 am - Felix Schéfer
(Pull request is here: https://github.com/chiliproject/chiliproject/pull/4)
2011-02-11 06:54 pm - Eric Davis
- Status changed from Open to Ready for review

Felix:

I think you are right:

# The Title and Date index pages should have header links to the activity of edits for the whole wiki (correct in your pull request)

# The Title and Date index pages should have icon links to the activity of edits for the whole wiki (correct in your pull request)

# The individual pages should have header and icon links to the activity of edits but only for that page. Almost like a feed of the history action. (incorrect

in your pull request)

We should open a new feature request for per page RSS feeds since that is different than what Yuki is proposing (related to this issue).

| think your branch is fine. Normally commit commit:05e6e910988396413aa5be66b37261dd2d274a79 should have been on a separate branch but it's

such a minor fix that it doesn't matter. (We should add a test here eventually though, using webrat or something to click the actual links...)
2011-02-11 09:38 pm - Felix Schafer
Eric Davis wrote:

> We should open a new feature request for per page RSS feeds since that is different than what Yuki is proposing (related to this issue).

As | said, I'm fine with having the general links for the moment (better than nothing) but that should be improved on later on (new issue). I'll merge it this
WE.

2011-02-12 02:25 pm - Felix Schéafer

- Status changed from Ready for review to Closed

Felix SchArfer wrote:

> I'll merge it this WE.

Done in commit:7973847e117d0c653615ff373ccced43cccd655e5.

2011-02-27 10:08 pm - Eric Davis

- Target version set to 1.1.0 &€” Bell

Files

rss-autodiscovery-for-wiki-pages.patch 715 Bytes 2011-02-10 Yuki Sonoda

2020-10-25 22



